﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2015 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once

namespace s3d
{
	/// <summary>
	/// コンソール
	/// </summary>
	namespace Console
	{
		/// <summary>
		/// コンソールウィンドウを開き、標準入出力を扱えるようにします。
		/// </summary>
		/// <returns>
		/// なし
		/// </returns>
		void Open();

		void Close();
	}
}
