﻿//-----------------------------------------------
//
//	This file is part of the Siv3D Engine.
//
//	Copyright (C) 2008-2015 Ryo Suzuki
//
//	Licensed under the MIT License.
//
//-----------------------------------------------

# pragma once
# include "SivVector3D.hpp"

namespace s3d
{
	struct Line3D
	{
		Vec3 begin;

		Vec3 end;

		Line3D() = default;

		Line3D(const Vec3& _begin, const Vec3& _end)
			: begin(_begin)
			, end(_end) {}
	};
}
